__author__ = 'bromix'

import unittest
import os
from resources.lib.uri2addon.addon_manager import AddonManager


class TestAddonManager(unittest.TestCase):
    def _get_local_kodi_addon_folder(self):
        path = os.environ['APPDATA']
        path = os.path.join(path, 'Kodi', 'addons')
        return path

    def test_update(self):
        addon_path = self._get_local_kodi_addon_folder()
        addon_manager = AddonManager(addon_path, ['plugin', 'script'])
        addon_manager.update()
        addons = addon_manager.get_addons()
        for addon in addons:
            print 'Addon: "%s" (%s) / %s' % (addon.get_name(), addon.get_version(), addon.get_id())
            pass

        test_uri = 'https://www.youtube.com/watch?v=shVBRKE6rgY&t=123'
        found_addons = addon_manager.find_addons_for_uri(test_uri)
        youtube_addon = found_addons[0]

        addon_call = youtube_addon.create_addon_call(test_uri)
        pass
    pass
